--- !ruby/object:Gem::Specification
name: naught
version: !ruby/object:Gem::Version
  version: 1.1.0
platform: ruby
authors:
- Avdi Grimm
autorequire: 
bindir: bin
cert_chain: []
date: 2015-09-08 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: bundler
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '1.3'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '1.3'
description: Naught is a toolkit for building Null Objects
email:
- avdi@avdi.org
executables: []
extensions: []
extra_rdoc_files: []
files:
- ".gitignore"
- ".rspec"
- ".rubocop.yml"
- ".travis.yml"
- Changelog.md
- Gemfile
- Guardfile
- LICENSE.txt
- README.markdown
- Rakefile
- lib/naught.rb
- lib/naught/basic_object.rb
- lib/naught/conversions.rb
- lib/naught/null_class_builder.rb
- lib/naught/null_class_builder/command.rb
- lib/naught/null_class_builder/commands.rb
- lib/naught/null_class_builder/commands/define_explicit_conversions.rb
- lib/naught/null_class_builder/commands/define_implicit_conversions.rb
- lib/naught/null_class_builder/commands/impersonate.rb
- lib/naught/null_class_builder/commands/mimic.rb
- lib/naught/null_class_builder/commands/pebble.rb
- lib/naught/null_class_builder/commands/predicates_return.rb
- lib/naught/null_class_builder/commands/singleton.rb
- lib/naught/null_class_builder/commands/traceable.rb
- lib/naught/version.rb
- naught.gemspec
- spec/base_object_spec.rb
- spec/basic_null_object_spec.rb
- spec/blackhole_spec.rb
- spec/explicit_conversions_spec.rb
- spec/functions/actual_spec.rb
- spec/functions/just_spec.rb
- spec/functions/maybe_spec.rb
- spec/functions/null_spec.rb
- spec/implicit_conversions_spec.rb
- spec/mimic_spec.rb
- spec/naught/null_object_builder/command_spec.rb
- spec/naught/null_object_builder_spec.rb
- spec/naught_spec.rb
- spec/pebble_spec.rb
- spec/predicate_spec.rb
- spec/singleton_null_object_spec.rb
- spec/spec_helper.rb
- spec/support/convertable_null.rb
- spec/support/jruby.rb
- spec/support/rubinius.rb
- spec/support/ruby_18.rb
homepage: https://github.com/avdi/naught
licenses:
- MIT
metadata: {}
post_install_message: 
rdoc_options: []
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  requirements:
  - - ">="
    - !ruby/object:Gem::Version
      version: '0'
required_rubygems_version: !ruby/object:Gem::Requirement
  requirements:
  - - ">="
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: 
rubygems_version: 2.4.5.1
signing_key: 
specification_version: 4
summary: Naught is a toolkit for building Null Objects
test_files:
- spec/base_object_spec.rb
- spec/basic_null_object_spec.rb
- spec/blackhole_spec.rb
- spec/explicit_conversions_spec.rb
- spec/functions/actual_spec.rb
- spec/functions/just_spec.rb
- spec/functions/maybe_spec.rb
- spec/functions/null_spec.rb
- spec/implicit_conversions_spec.rb
- spec/mimic_spec.rb
- spec/naught/null_object_builder/command_spec.rb
- spec/naught/null_object_builder_spec.rb
- spec/naught_spec.rb
- spec/pebble_spec.rb
- spec/predicate_spec.rb
- spec/singleton_null_object_spec.rb
- spec/spec_helper.rb
- spec/support/convertable_null.rb
- spec/support/jruby.rb
- spec/support/rubinius.rb
- spec/support/ruby_18.rb
